org.eclipse.emf.cdo.spi.server

## Class RepositoryActivityLog.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.factory.PropertiesFactory
    - - org.eclipse.emf.cdo.spi.server.RepositoryActivityLog.Factory

- All Implemented Interfaces:
    IFactory
  Direct Known Subclasses:
    RepositoryActivityLog.Rolling.Factory
  Enclosing class:
    RepositoryActivityLog

      public abstract static class RepositoryActivityLog.Factory
      extends PropertiesFactory

  Since:
    4.7
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PRODUCT_GROUP`

    - ### Fields inherited from class org.eclipse.net4j.util.factory.PropertiesFactory

      `DEFAULT_KEY, PROPERTY_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory(java.lang.String type)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract RepositoryActivityLog` | `create(java.util.Map<java.lang.String,java.lang.String> properties)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.PropertiesFactory

      `create, createDescription`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Factory

          public Factory(java.lang.String type)

  - ### Method Detail

    - #### create

          protected abstract RepositoryActivityLog create(java.util.Map<java.lang.String,java.lang.String> properties)
                                                   throws ProductCreationException

      Specified by:
        `create` in class `PropertiesFactory`
      Throws:
        `ProductCreationException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html